<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetEcoAssistantResult StructType
 * @subpackage Structs
 */
class GetEcoAssistantResult extends ExecutionResult
{
    /**
     * The Driver
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\IdentifierPerson_V2
     */
    public $Driver;
    /**
     * The EcoAssistantDay
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\EcoAssistantDayItem
     */
    public $EcoAssistantDay;
    /**
     * The EcoAssistantWeek
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\EcoAssistantWeekItem
     */
    public $EcoAssistantWeek;
    /**
     * Constructor method for GetEcoAssistantResult
     * @uses GetEcoAssistantResult::setDriver()
     * @uses GetEcoAssistantResult::setEcoAssistantDay()
     * @uses GetEcoAssistantResult::setEcoAssistantWeek()
     * @param \StructType\IdentifierPerson_V2 $driver
     * @param \StructType\EcoAssistantDayItem $ecoAssistantDay
     * @param \StructType\EcoAssistantWeekItem $ecoAssistantWeek
     */
    public function __construct(\StructType\IdentifierPerson_V2 $driver = null, \StructType\EcoAssistantDayItem $ecoAssistantDay = null, \StructType\EcoAssistantWeekItem $ecoAssistantWeek = null)
    {
        $this
            ->setDriver($driver)
            ->setEcoAssistantDay($ecoAssistantDay)
            ->setEcoAssistantWeek($ecoAssistantWeek);
    }
    /**
     * Get Driver value
     * @return \StructType\IdentifierPerson_V2|null
     */
    public function getDriver()
    {
        return $this->Driver;
    }
    /**
     * Set Driver value
     * @param \StructType\IdentifierPerson_V2 $driver
     * @return \StructType\GetEcoAssistantResult
     */
    public function setDriver(\StructType\IdentifierPerson_V2 $driver = null)
    {
        $this->Driver = $driver;
        return $this;
    }
    /**
     * Get EcoAssistantDay value
     * @return \StructType\EcoAssistantDayItem|null
     */
    public function getEcoAssistantDay()
    {
        return $this->EcoAssistantDay;
    }
    /**
     * Set EcoAssistantDay value
     * @param \StructType\EcoAssistantDayItem $ecoAssistantDay
     * @return \StructType\GetEcoAssistantResult
     */
    public function setEcoAssistantDay(\StructType\EcoAssistantDayItem $ecoAssistantDay = null)
    {
        $this->EcoAssistantDay = $ecoAssistantDay;
        return $this;
    }
    /**
     * Get EcoAssistantWeek value
     * @return \StructType\EcoAssistantWeekItem|null
     */
    public function getEcoAssistantWeek()
    {
        return $this->EcoAssistantWeek;
    }
    /**
     * Set EcoAssistantWeek value
     * @param \StructType\EcoAssistantWeekItem $ecoAssistantWeek
     * @return \StructType\GetEcoAssistantResult
     */
    public function setEcoAssistantWeek(\StructType\EcoAssistantWeekItem $ecoAssistantWeek = null)
    {
        $this->EcoAssistantWeek = $ecoAssistantWeek;
        return $this;
    }
}
